Debian Bug report logs - #584415
grub-common: grub-mkimage has gotten rid of its (supposedly sane) default

version graph

Package: grub-common; Maintainer for grub-common is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>; Source for grub-common is src:grub2.

Reported by: Didier Raboud <didier@raboud.com>

Date: Thu, 3 Jun 2010 12:09:01 UTC

Severity: important

Tags: fixed-upstream

Found in version grub2/1.98+20100527-2

Fixed in version grub2/1.98+20100614-1

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#584415; Package grub-common. (Thu, 03 Jun 2010 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <didier@raboud.com>:
New Bug report received and forwarded. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Thu, 03 Jun 2010 12:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <didier@raboud.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub-common: grub-mkimage has gotten rid of its (supposedly sane) default
Date: Thu, 03 Jun 2010 14:07:07 +0200
Package: grub-common
Version: 1.98+20100527-2
Severity: important

Hi, 

while hunting down http://bugs.debian.org/584371 , it appears that from
version 1.98+20100527, grub-mkimage requires a -O, --format option to be set,
otherwise it throws an unclear "Target not specified".

IMHO there are two things:

i) the error message is misleading (_Target_ not specified, where the --help
speaks about _format_)
ii) it used to use a (supposedly sane) default and now it requires -O

Thanks for considering, 

Cheers, 

OdyX

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (750, 'unstable'), (700, 'testing-proposed-updates'), (700, 'testing'), (90, 'experimental'), (50, 'testing-proposed-updates'), (50, 'experimental'), (50, 'unstable'), (50, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CH.UTF-8, LC_CTYPE=fr_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages grub-common depends on:
ii  base-files              5.7              Debian base system miscellaneous f
ii  dpkg                    1.15.7.2         Debian package management system
ii  gettext-base            0.18-1           GNU Internationalization utilities
ii  install-info            4.13a.dfsg.1-5   Manage installed documentation in 
ii  libc6                   2.11.1-2         Embedded GNU C Library: Shared lib
ii  libdevmapper1.02.1      2:1.02.47-1      The Linux Kernel Device Mapper use
ii  libfreetype6            2.3.11-1         FreeType 2 font engine, shared lib
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages grub-common recommends:
ii  os-prober                     1.38       utility to detect other OSes on a 

Versions of packages grub-common suggests:
pn  grub-emu                      <none>     (no description available)
pn  multiboot-doc                 <none>     (no description available)
pn  xorriso                       <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#584415; Package grub-common. (Fri, 04 Jun 2010 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 04 Jun 2010 12:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 584415@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Didier Raboud <didier@raboud.com>
Cc: 584415@bugs.debian.org
Subject: Re: grub-common: grub-mkimage has gotten rid of its (supposedly sane) default
Date: Fri, 4 Jun 2010 13:46:59 +0100
tags 584415 fixed-upstream
thanks

On Thu, Jun 03, 2010 at 02:07:07PM +0200, Didier Raboud wrote:
> Package: grub-common
> Version: 1.98+20100527-2
> Severity: important
> 
> Hi, 
> 
> while hunting down http://bugs.debian.org/584371 , it appears that from
> version 1.98+20100527, grub-mkimage requires a -O, --format option to be set,
> otherwise it throws an unclear "Target not specified".
> 
> IMHO there are two things:
> 
> i) the error message is misleading (_Target_ not specified, where the --help
> speaks about _format_)

I've made the message clearer upstream.

2010-06-04  Colin Watson  <cjwatson@ubuntu.com>

	* util/grub-mkimage.c: Make target-related error messages slightly
	more helpful; -O talks about "format".  Explicitly point to the use
	of -O if no target is specified.
	Reported by: Didier Raboud (Debian bug #584415).

> ii) it used to use a (supposedly sane) default and now it requires -O

This was deliberate.  grub-mkimage is now common across platforms; this
is a step on the road to making it easier for people to do things like
generating EFI boot images on BIOS systems.  Since we now only ship one
version of grub-mkimage in the grub-common package, it doesn't really
have a sane default available to it any more.

It's regrettable that this required a change to win32-support, and sorry
about that - but grub-mkimage is mostly not supposed to be called
directly, with the exception of tools like win32-support that are
necessarily poking around in GRUB's internals, so I think this interface
change is worth it.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]




Added tag(s) fixed-upstream. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Fri, 04 Jun 2010 12:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>:
Bug#584415; Package grub-common. (Fri, 04 Jun 2010 13:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>. (Fri, 04 Jun 2010 13:00:06 GMT) Full text and rfc822 format available.

Message #17 received at 584415@bugs.debian.org (full text, mbox):

From: Didier Raboud <didier@raboud.com>
To: Colin Watson <cjwatson@debian.org>
Cc: <584415@bugs.debian.org>
Subject: Re: grub-common: grub-mkimage has gotten rid of its (supposedly sane) default
Date: Fri, 04 Jun 2010 14:51:25 +0200
On Fri, 4 Jun 2010 13:46:59 +0100, Colin Watson <cjwatson@debian.org>
wrote:
> tags 584415 fixed-upstream
> thanks
> 
> On Thu, Jun 03, 2010 at 02:07:07PM +0200, Didier Raboud wrote:
>> Package: grub-common
>> Version: 1.98+20100527-2
>> Severity: important
>> 
>> Hi, 
>> 
>> while hunting down http://bugs.debian.org/584371 , it appears that from
>> version 1.98+20100527, grub-mkimage requires a -O, --format option to
be
>> set,
>> otherwise it throws an unclear "Target not specified".
>> 
>> IMHO there are two things:
>> 
>> i) the error message is misleading (_Target_ not specified, where the
>> --help
>> speaks about _format_)
> 
> I've made the message clearer upstream.
> 
> 2010-06-04  Colin Watson  <cjwatson@ubuntu.com>
> 
> 	* util/grub-mkimage.c: Make target-related error messages slightly
> 	more helpful; -O talks about "format".  Explicitly point to the use
> 	of -O if no target is specified.
> 	Reported by: Didier Raboud (Debian bug #584415).

Hi, 

thanks for that: that's exactly what I wanted. :->

>> ii) it used to use a (supposedly sane) default and now it requires -O
> 
> This was deliberate.  grub-mkimage is now common across platforms; this
> is a step on the road to making it easier for people to do things like
> generating EFI boot images on BIOS systems.  Since we now only ship one
> version of grub-mkimage in the grub-common package, it doesn't really
> have a sane default available to it any more.
> 
> It's regrettable that this required a change to win32-support, and sorry
> about that - but grub-mkimage is mostly not supposed to be called
> directly, with the exception of tools like win32-support that are
> necessarily poking around in GRUB's internals, so I think this interface
> change is worth it.
> 
> Thanks,

Well. I very much understand those reasons which I can only support:
that's great. I was just surprised by that unexpected win32-loader (and not
-support :-) ) FTBFS, which I could solve in reasonable time.

Thanks for your time and keep up the good job with grub !

Cheers, 

OdyX




Added tag(s) pending. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Tue, 08 Jun 2010 16:57:06 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Tue, 15 Jun 2010 18:03:28 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <didier@raboud.com>:
Bug acknowledged by developer. (Tue, 15 Jun 2010 18:03:28 GMT) Full text and rfc822 format available.

Message #24 received at 584415-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 584415-close@bugs.debian.org
Subject: Bug#584415: fixed in grub2 1.98+20100614-1
Date: Tue, 15 Jun 2010 18:02:45 +0000
Source: grub2
Source-Version: 1.98+20100614-1

We believe that the bug you reported is fixed in the latest version of
grub2, which is due to be installed in the Debian FTP archive:

grub-common_1.98+20100614-1_i386.deb
  to main/g/grub2/grub-common_1.98+20100614-1_i386.deb
grub-coreboot_1.98+20100614-1_i386.deb
  to main/g/grub2/grub-coreboot_1.98+20100614-1_i386.deb
grub-efi-amd64_1.98+20100614-1_i386.deb
  to main/g/grub2/grub-efi-amd64_1.98+20100614-1_i386.deb
grub-efi-ia32_1.98+20100614-1_i386.deb
  to main/g/grub2/grub-efi-ia32_1.98+20100614-1_i386.deb
grub-efi_1.98+20100614-1_i386.deb
  to main/g/grub2/grub-efi_1.98+20100614-1_i386.deb
grub-emu_1.98+20100614-1_i386.deb
  to main/g/grub2/grub-emu_1.98+20100614-1_i386.deb
grub-firmware-qemu_1.98+20100614-1_i386.deb
  to main/g/grub2/grub-firmware-qemu_1.98+20100614-1_i386.deb
grub-ieee1275_1.98+20100614-1_i386.deb
  to main/g/grub2/grub-ieee1275_1.98+20100614-1_i386.deb
grub-linuxbios_1.98+20100614-1_i386.deb
  to main/g/grub2/grub-linuxbios_1.98+20100614-1_i386.deb
grub-pc_1.98+20100614-1_i386.deb
  to main/g/grub2/grub-pc_1.98+20100614-1_i386.deb
grub-rescue-pc_1.98+20100614-1_i386.deb
  to main/g/grub2/grub-rescue-pc_1.98+20100614-1_i386.deb
grub2_1.98+20100614-1.diff.gz
  to main/g/grub2/grub2_1.98+20100614-1.diff.gz
grub2_1.98+20100614-1.dsc
  to main/g/grub2/grub2_1.98+20100614-1.dsc
grub2_1.98+20100614-1_i386.deb
  to main/g/grub2/grub2_1.98+20100614-1_i386.deb
grub2_1.98+20100614.orig.tar.gz
  to main/g/grub2/grub2_1.98+20100614.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 584415@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated grub2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 15 Jun 2010 12:45:35 +0100
Source: grub2
Binary: grub2 grub-linuxbios grub-efi grub-common grub-emu grub-pc grub-rescue-pc grub-coreboot grub-efi-ia32 grub-efi-amd64 grub-ieee1275 grub-firmware-qemu grub-yeeloong
Architecture: source i386
Version: 1.98+20100614-1
Distribution: unstable
Urgency: low
Maintainer: GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 grub-common - GRand Unified Bootloader, version 2 (common files)
 grub-coreboot - GRand Unified Bootloader, version 2 (Coreboot version)
 grub-efi   - GRand Unified Bootloader, version 2 (dummy package)
 grub-efi-amd64 - GRand Unified Bootloader, version 2 (EFI-AMD64 version)
 grub-efi-ia32 - GRand Unified Bootloader, version 2 (EFI-IA32 version)
 grub-emu   - GRand Unified Bootloader, version 2 (emulated version)
 grub-firmware-qemu - GRUB firmware image for QEMU
 grub-ieee1275 - GRand Unified Bootloader, version 2 (Open Firmware version)
 grub-linuxbios - GRand Unified Bootloader, version 2 (dummy package)
 grub-pc    - GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-rescue-pc - GRUB bootable rescue images, version 2 (PC/BIOS version)
 grub-yeeloong - GRand Unified Bootloader, version 2 (Yeeloong version)
 grub2      - GRand Unified Bootloader, version 2 (dummy package)
Closes: 496706 542165 582142 584415 584812 584822 585561 585668
Changes: 
 grub2 (1.98+20100614-1) unstable; urgency=low
 .
   * New Bazaar snapshot.
     - Make target-related error messages from grub-mkimage slightly more
       helpful (closes: #584415).
     - Fix underquoting that broke savedefault (thanks, Mario 'BitKoenig'
       Holbe; closes: #584812).
     - Expand 'info grub' substantially, including a new section on
       configuring authentication (closes: #584822).
     - Give all manual pages proper NAME sections (closes: #496706).
 .
   * Update 915resolution from grub-extras:
     - Fix a hang with 945GME (thanks, Sergio Perticone; closes: #582142).
 .
   [ Colin Watson ]
   * Disable grub-emu on sparc for the time being.  We're currently trying to
     use TARGET_* flags to build it, which won't work.
   * Don't build-depend on libsdl1.2-dev on hurd-i386.  Although
     libsdl1.2-dev exists there, it's currently uninstallable due to missing
     libpulse-dev, and we can happily live without it for now.
   * kfreebsd-amd64 needs gcc-4.4-multilib too (closes: #585668).
   * Warn and return without error from prepare_grub_to_access_device if
     /boot is a dm-crypt device (thanks, Marc Haber; closes: #542165).
   * Make /etc/grub.d/05_debian_theme usable by shells other than bash
     (thanks, Alex Chiang; closes: #585561).
   * Remove grub-mkisofs leftovers from debian/copyright.
   * Fix reversed sense of DEB_BUILD_OPTIONS=nocheck handling.
   * Build-depend on qemu-system for grub-pc tests.
Checksums-Sha1: 
 6114f3158223ffca5d6b2c528df99b7a98d7332e 2799 grub2_1.98+20100614-1.dsc
 01492a448cd05901dda4b4fb16f79fa9d5f88aba 1821929 grub2_1.98+20100614.orig.tar.gz
 d3992c17b1ccbadad55edf39edf0524a0c564286 394668 grub2_1.98+20100614-1.diff.gz
 532a0facf9c5a9386d48b2405ad616ff1df00a5e 262674 grub2_1.98+20100614-1_i386.deb
 6006e9e78c9325a1fe67100a1682cb4500d0af14 261418 grub-linuxbios_1.98+20100614-1_i386.deb
 5bb6d0cfc895ab435f510f432fff4d048111ad5f 261416 grub-efi_1.98+20100614-1_i386.deb
 fd89ab3a608336f189126db8ebd522d070462c39 1619360 grub-common_1.98+20100614-1_i386.deb
 ac744abff3b0409baebd75991ba54c8c0a408884 2602132 grub-emu_1.98+20100614-1_i386.deb
 f8963f00690b02fd5cefdf7c6d03adf4cfa29541 912818 grub-pc_1.98+20100614-1_i386.deb
 bd6ed8d388ee479ac05f2cab2150ae269c24319e 1404512 grub-rescue-pc_1.98+20100614-1_i386.deb
 a0cacc79744868d7afe77d702216519881c6dbf8 715862 grub-coreboot_1.98+20100614-1_i386.deb
 1a5f3d04889069f3336f1fb2a5fdfc9fe9d63185 750882 grub-efi-ia32_1.98+20100614-1_i386.deb
 ba3e8f1fd52dfb31263dba617cf8f57e52540fed 825544 grub-efi-amd64_1.98+20100614-1_i386.deb
 91da1d3b5c1c0da78a70579d288ee9b30bc91bc9 709676 grub-ieee1275_1.98+20100614-1_i386.deb
 bcccf961c951de513c4329b115e2814efef947ac 664438 grub-firmware-qemu_1.98+20100614-1_i386.deb
Checksums-Sha256: 
 fa646ebd3f96d0a3df164d37a1a40e3aa6c92b312b395aba3c687b1f812e2a48 2799 grub2_1.98+20100614-1.dsc
 926ba1fc41e3e45db8c964081cd9328cd1dbea2443f6988ecacec5b2899c8246 1821929 grub2_1.98+20100614.orig.tar.gz
 5621fd9d1e32b7401d3bcf9f722a73171ff60df2b558070394c485253eaae611 394668 grub2_1.98+20100614-1.diff.gz
 9dfbad0c860afd7c16ab313162c82866d85526ee0cf87d08fe0e039493325948 262674 grub2_1.98+20100614-1_i386.deb
 2eaadf994c64f4e49c281c00b8cb6c6888fc9827aa9e7f114b4b834753af5ef9 261418 grub-linuxbios_1.98+20100614-1_i386.deb
 daedb7255f02b56cb7578b775bb59c1594829691e2997e1b0e8e4ba18a2004ac 261416 grub-efi_1.98+20100614-1_i386.deb
 ca3068e872f91afdf7a9e4a239d07323c82e1d3d77568ded35df2ba59911ebcd 1619360 grub-common_1.98+20100614-1_i386.deb
 ae158ccb3c58fbf8a547ac3fe3b3bb09cc7b162fc738f7dc017f2ace1e8a1c23 2602132 grub-emu_1.98+20100614-1_i386.deb
 59db435212be8130c9c9220e3f4168830a49256af09fc92709e16daf92846b25 912818 grub-pc_1.98+20100614-1_i386.deb
 42cb8affe25f4d92e3129c6c3559f160a9be1d1547dbc8488da96c48dc50ed09 1404512 grub-rescue-pc_1.98+20100614-1_i386.deb
 50d2b42b67c9800fd92d23e2d881703812e8171b845e5a5dccd9dbfa8415029a 715862 grub-coreboot_1.98+20100614-1_i386.deb
 de3074bd44a80f0e843ba56c3881f7bea2fb24a0141aeec1134bab0ab5c1bba2 750882 grub-efi-ia32_1.98+20100614-1_i386.deb
 d70c51c27e20a4acbc23409c16dec91f1b76449b2d9d832ecc3e0c064af69ef9 825544 grub-efi-amd64_1.98+20100614-1_i386.deb
 a2ecc24f51a6fb2d4512d5c3f784fb832fe1e36f79547454c9f34189b240857b 709676 grub-ieee1275_1.98+20100614-1_i386.deb
 473a45b798299dfbeb9ddc11a18994ec4ea05ec31730131b71201189b6a3fc99 664438 grub-firmware-qemu_1.98+20100614-1_i386.deb
Files: 
 9e4f8d21ddb1a92842999632215f6138 2799 admin extra grub2_1.98+20100614-1.dsc
 4eb4a639110d86f73712fcad0a393253 1821929 admin extra grub2_1.98+20100614.orig.tar.gz
 e8820da1936b3d9d19276333c6c8ac60 394668 admin extra grub2_1.98+20100614-1.diff.gz
 e1b8f791055127ec596896bb4b3bef97 262674 admin extra grub2_1.98+20100614-1_i386.deb
 12b6f46470b6d03d8e7c87553bb59982 261418 admin extra grub-linuxbios_1.98+20100614-1_i386.deb
 e96857ee71bef176ef9d5dcbb33764e7 261416 admin extra grub-efi_1.98+20100614-1_i386.deb
 e5a44139aaeacba69f8b1688447210a6 1619360 admin extra grub-common_1.98+20100614-1_i386.deb
 025aedc21a135fef4b38cdc5b8afcdb8 2602132 admin extra grub-emu_1.98+20100614-1_i386.deb
 dce696b69e37bde3a2f01fe0b736aaaf 912818 admin extra grub-pc_1.98+20100614-1_i386.deb
 75334a4ae7b6377b09e9678ea08859b2 1404512 admin extra grub-rescue-pc_1.98+20100614-1_i386.deb
 7e495d9bd063ddc6e4c6e588d0ac2a0d 715862 admin extra grub-coreboot_1.98+20100614-1_i386.deb
 79a0a83354e0927ca2717d9659cab1f2 750882 admin extra grub-efi-ia32_1.98+20100614-1_i386.deb
 5d4d2099e5638e57c57a892e13ed49e2 825544 admin extra grub-efi-amd64_1.98+20100614-1_i386.deb
 ccd8afd0457ca4ba38ed4b5fee02daf4 709676 admin extra grub-ieee1275_1.98+20100614-1_i386.deb
 cb544352f24a33faca159af6ff3f9acc 664438 admin extra grub-firmware-qemu_1.98+20100614-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iQIVAwUBTBe7hDk1h9l9hlALAQhGdw//UNa+3tuLELh994+aUPRWh/47Z0c0KWKP
5YSgLmElbc3LS3tCsYRQgGbuMwhOT9MInqRJhBCkAq5sXRU5Y11MO/BmjDZSyfBN
YTUKo5C8/UQyxDOxSINH521soipMxTUIDoijsvb0mSHS04EN2Y2uZ+ZpwCcLMZi4
OcGCGkQL3Hw+qOShehboFpq4lmqSVxsFnEuGt0rOYdFKr4Z/BgR763z1aNOoQYW2
p2FWScNho1yek4GqqAJqIlaWiAS6aclpedbidCMe18eTs8Nauw+8BNaeH4bEWIAS
5nEejuigA5EU2atN17TOFDFQ+4xxsBJJKp3PfU+u/rbQGlbhaJG7YrzHs0g7CWL7
54zfqUl1rULb0oexf44SgtC9QXQzxCLxfcz7NBU0SabgLWYFxgGYjg3igF462LZw
2zOuT0TZKKNa91yU9D0I0TvkCIGxvoawPTieVvwSx6+Th9or7D8lv+gIQdLWzpnA
PShlBTCAjAIhohXAvXQC/Yca5uClA1QcPWLSquxKnandIxo6SZe9+MvVwjb0L7qQ
yTpDWFUlqOtDs3fftEFB+Z6INKU3LWTjfj2/76F8HvYM5MI1xaXi/ISQe/NV1w9g
l65g43lcr/eJX7vZfSVdDKpdcyE8HVw/uZuG/pdwDxWrqk0si7XnYVkrLf5hvsAc
94phVD2IAfQ=
=HaEM
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Jul 2010 07:31:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:35:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.